Zum Inhalt springen
Docs
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Update user activity

Sets a user’s active status immediately or schedules activation/deactivation dates. Provide isActive to change status now (clears scheduled dates), or provide one or both of setActiveOn / setInactiveOn to schedule changes. Omitting a scheduled date field leaves the existing value unchanged.

PATCH/users/{id}/activity
Authorization
AuthorizationBasic auth · headerrequired

Basic Auth with clientId as username and clientSecret as password

Path parameters
idstringrequired
Request body
requiredapplication/json
isActiveboolean
setActiveOnstring<date-time>
setInactiveOnstring<date-time>
Responses
200

Updated activity status

dataUserActivityStatusrequired
Show properties
isActivebooleanrequired
isActiveFromstring<date-time> | nullrequired
isActiveUntilstring<date-time> | nullrequired
metaResponseMetarequired
Show properties
requestIdstringrequired
timestampstring<date-time>required
versionstringrequired
Allowed:v4
400

Bad Request

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
401

Unauthorized

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
404

Not Found

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
429

Too Many Requests

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
500

Internal Server Error

typestringrequired
Allowed:error
codestringrequired
Allowed:bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_error
titlestringrequired
statusintegerrequired
detailstringrequired
instancestring
errorsobject[]
Show properties
Array of object
fieldstring
messagestring
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://fuxam.app/api/v4/users/string/activity' \
  -H 'Authorization: Basic YOUR_CREDENTIALS' \
  -H 'Content-Type: application/json' \
  -d '{
  "setActiveOn": "2026-07-01T00:00:00.000Z"
}'
Response
{
  "data": {
    "isActive": true,
    "isActiveFrom": "2026-01-01T00:00:00.000Z",
    "isActiveUntil": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "requestId": "req_1234567890_abc",
    "timestamp": "2026-06-02T07:00:00.000Z",
    "version": "v4"
  }
}